loop_ge
Prev | Orchestra Opcodes and Operators | Next

## loop_ge

loop_ge — Looping constructions.

## Description

Construction of looping operations.

## Syntax

    loop_ge   indx, idecr, imin, label

    loop_ge   kndx, kdecr, kmin, label

## Initialization

indx -- i-rate variable to count loop.

idecr -- value to decrement the loop.

imin -- minimum value of loop index.

## Performance

kndx -- k-rate variable to count loop.

kdecr -- value to decrement the loop.

kmin -- minimum value of loop index.

The actions of loop_ge are equivalent to the code

             indx  =  indx - idecr
             if (indx >= imin) igoto label

or

             kndx  =  kndx - kdecr
             if (kndx >= kmin) kgoto label

## See Also

loop_gt, loop_le and loop_lt.

## Credits

Istvan Varga. 2006

Prev | Up | Next
logcurve | Home | loop_gt